dnl -*- Autoconf -*-

AC_INIT([guix-qa-frontpage], [m4_translit(m4_esyscmd([cat VERSION]),m4_newline)])
AC_CONFIG_AUX_DIR([build-aux])
AM_INIT_AUTOMAKE([gnu color-tests -Wall -Wno-portability foreign])
AM_SILENT_RULES([yes])

GUILE_PKG([3.0])
GUILE_PROGS
if test "x$GUILD" = "x"; then
   AC_MSG_ERROR(['guild' binary not found; please check your guile-2.2 installation.])
fi

GUILE_MODULE_AVAILABLE([have_json], [(json)])
if test "x$have_json" != "xyes"; then
  AC_MSG_ERROR([Guile-JSON is missing; please install it.])
fi

GUILE_MODULE_AVAILABLE([have_fibers], [(fibers web server)])
if test "x$have_fibers" != "xyes"; then
  AC_MSG_ERROR([Guile fibers is missing; please install it.])
fi

guilemoduledir="${datarootdir}/guile/site/${GUILE_EFFECTIVE_VERSION}"
AC_SUBST([guilemoduledir])
AC_SUBST([GUILE_EFFECTIVE_VERSION])

AC_PATH_PROG([guix], [guix])

dnl Substitute placeholders to generate these target files
AC_CONFIG_FILES([Makefile])
AC_CONFIG_FILES([scripts/guix-qa-frontpage], [chmod +x scripts/guix-qa-frontpage])
AC_CONFIG_FILES([pre-inst-env], [chmod +x pre-inst-env])

AC_OUTPUT
